#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ral
version:              0.2.1
visibility:           public
id:                   ral-0.2.1-mmJyWbOL6VAmmGCh7C7Dq
key:                  ral-0.2.1-mmJyWbOL6VAmmGCh7C7Dq
license:              GPL-2.0-or-later
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Random access lists
description:
    This package provides ordinary random access list, '\''RAList'\'', and also
    a length indexed variant, '\''RAVec'\''.

    The data structure allows fast cons-operation (like ordinary list) but also fast random access (like non-functional arrays).

    For @lens@ or @optics@ support see [ral-lens](https://hackage.haskell.org/package/ral-lens) and [ral-optics](https://hackage.haskell.org/package/ral-optics) packages respectively.

    === Similar packages

    These packages don'\''t provide length-indexed variants, and their '\''RAList'\'' has
    opaque structure.

    * https://hackage.haskell.org/package/ralist
    * https://hackage.haskell.org/package/random-access-list

category:             Data, Dependent Types, Singletons
abi:                  8ec44f15609953bf3718b5630133840c
exposed:              True
exposed-modules:
    Data.RAList Data.RAList.NonEmpty Data.RAList.Tree Data.RAVec
    Data.RAVec.NonEmpty Data.RAVec.Tree Data.RAVec.Tree.DF

hidden-modules:
    Data.RAList.Internal Data.RAList.NonEmpty.Internal
    Data.RAList.Tree.Internal TrustworthyCompat

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ral-0.2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ral-0.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ral
hs-libraries:         HSral-0.2.1-mmJyWbOL6VAmmGCh7C7Dq
depends:
    QuickCheck-2.14.3-J0ejVxF0pWfG4YkvYql6Th
    adjunctions-4.4.2-15bIPdZpLfBFeEAyb75tkK base-4.16.4.0
    bin-0.1.3-3MkFO0exiaAFNwnH8dNE4F boring-0.2.1-Icfsg6aSH6SpFFKOquZU
    deepseq-1.4.6.1 distributive-0.6.2.1-83AMicm4Fuv4z0luD6O5UC
    fin-0.3-4ru11TJ3VtPE53Jk2oPrSq
    hashable-1.4.4.0-1DKi0WUbpLrE22bUerprT9
    indexed-traversable-0.1.4-7eXGkThldZqIiMZcmRdgw5
    semigroupoids-5.3.7-DRrQ6HM3i3lBidmriDf0rx

haddock-interfaces:   /usr/share/doc/haskell-ral/html/ral.haddock
haddock-html:         /usr/share/doc/haskell-ral/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

